Skip to navigation

Get workspace file

View as Markdown

Retrieves a workspace file (the binary).

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

fileIdstringRequired
Specifies the room file ID GUID.
folderIdstringRequired
The ID of the folder being accessed.
workspaceIdstringRequired
Specifies the workspace ID GUID.

Query parameters

is_downloadstringOptional

When set to true, the Content-Disposition header is set in the response. The value of the header provides the filename of the file. Default is false.

pdf_versionstringOptional

When set to true the file returned as a PDF.

Response

Successful response.

Errors

400
Bad Request Error